Public< T > Class Template Reference

`#include <engine.test.h>`

Inheritance diagram for Public< T >:
[legend]
Collaboration diagram for Public< T >:
[legend]

## Public Member Functions

| Public (MemoryManager *mman=0, const std::string &name=std::string(), const std::string &usage=std::string(), const std::string &description=std::string(), const std::string &longDescription=std::string())
ArgList::iterator | parseList (ArgList &list)
ArgList::iterator | parse (ArgList &list, ArgList::iterator begin)

## Constructor & Destructor Documentation

template<typename T>

Public< T >::Public | ( | MemoryManager * | mman = `0`,
|  | const std::string & | name = `std::string()`,
|  | const std::string & | usage = `std::string()`,
|  | const std::string & | description = `std::string()`,
|  | const std::string & | longDescription = `std::string()`
| ) |  |

inline

## Member Function Documentation

template<typename T>

ArgList::iterator Public< T >::parse | ( | ArgList & | list,
|  | ArgList::iterator | begin
| ) |  |

inline

template<typename T>

ArgList::iterator Public< T >::parseList | ( | ArgList & | list | ) |

inline

Referenced by TestCommandlineEngine::clusteredShortOpts(), TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), TestCommandlineEngine::commandWithArg(), TestCommandlineEngine::creationShortcuts(), TestCommandlineEngine::longOptsWithArgs(), TestCommandlineEngine::longOptsWithDashes(), TestCommandlineEngine::noSwitchesAfterFirstArg(), TestCommandlineEngine::optsAndArgs(), and TestCommandlineEngine::optsOnly().

The documentation for this class was generated from the following file:

- engine.test.h